summaryrefslogtreecommitdiff
path: root/testprogs/blackbox/test_kinit.sh
diff options
context:
space:
mode:
authorJelmer Vernooij <jelmer@samba.org>2007-09-02 00:04:27 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 15:03:26 -0500
commitbf4f1307ab8a6c29b70f6ccf0cf4e34fa3629819 (patch)
tree2499df98296b9f8f45fad3fc582a5444a0070a4e /testprogs/blackbox/test_kinit.sh
parent1c188069a1da15de1a6ca252092901197edca0dd (diff)
downloadsamba-bf4f1307ab8a6c29b70f6ccf0cf4e34fa3629819.tar.gz
samba-bf4f1307ab8a6c29b70f6ccf0cf4e34fa3629819.tar.bz2
samba-bf4f1307ab8a6c29b70f6ccf0cf4e34fa3629819.zip
r24876: Use more absolute paths to samba4 binaries.
(This used to be commit 8616bfa0ae5762ae45b8339c84b8e4ae499f5897)
Diffstat (limited to 'testprogs/blackbox/test_kinit.sh')
-rwxr-xr-xtestprogs/blackbox/test_kinit.sh21
1 files changed, 13 insertions, 8 deletions
diff --git a/testprogs/blackbox/test_kinit.sh b/testprogs/blackbox/test_kinit.sh
index 09777df16d..db12fba2f8 100755
--- a/testprogs/blackbox/test_kinit.sh
+++ b/testprogs/blackbox/test_kinit.sh
@@ -19,6 +19,11 @@ PREFIX=$6
shift 6
failed=0
+samba4bindir=`dirname $0`/../../source/bin
+smbclient=$samba4bindir/smbclient
+samba4kinit=$samba4bindir/samba4kinit
+net=$samba4bindir/net
+
testit() {
name="$1"
shift
@@ -41,7 +46,7 @@ test_smbclient() {
shift
shift
echo "test: $name"
- $VALGRIND bin/smbclient $CONFIGURATION //$SERVER/tmp -c "$cmd" -W "$DOMAIN" -U"$USERNAME%$PASSWORD" $@
+ $VALGRIND $smbclient $CONFIGURATION //$SERVER/tmp -c "$cmd" -W "$DOMAIN" -U"$USERNAME%$PASSWORD" $@
status=$?
if [ x$status = x0 ]; then
echo "success: $name"
@@ -55,18 +60,18 @@ KRB5CCNAME=`pwd`/tmpccache
export KRB5CCNAME
echo $PASSWORD > ./tmppassfile
-testit "kinit with password" bin/samba4kinit --password-file=./tmppassfile --request-pac $USERNAME@$REALM || failed=`expr $failed + 1`
-testit "kinit with pkinit" bin/samba4kinit --request-pac --pk-user=FILE:$PREFIX/dc/private/tls/admincert.pem,$PREFIX/dc/private/tls/adminkey.pem $USERNAME@$REALM || failed=`expr $failed + 1`
+testit "kinit with password" $samba4kinit --password-file=./tmppassfile --request-pac $USERNAME@$REALM || failed=`expr $failed + 1`
+testit "kinit with pkinit" $samba4kinit --request-pac --pk-user=FILE:$PREFIX/dc/private/tls/admincert.pem,$PREFIX/dc/private/tls/adminkey.pem $USERNAME@$REALM || failed=`expr $failed + 1`
test_smbclient "Test login with kerberos ccache" 'ls' -k yes || failed=`expr $failed + 1`
-testit "domain join with kerberos ccache" $VALGRIND bin/net join $DOMAIN $CONFIGURATION -W "$DOMAIN" -k yes $@ || failed=`expr $failed + 1`
-testit "check time with kerberos ccache" $VALGRIND bin/net time $SERVER $CONFIGURATION -W "$DOMAIN" -k yes $@ || failed=`expr $failed + 1`
+testit "domain join with kerberos ccache" $VALGRIND $net join $DOMAIN $CONFIGURATION -W "$DOMAIN" -k yes $@ || failed=`expr $failed + 1`
+testit "check time with kerberos ccache" $VALGRIND $net time $SERVER $CONFIGURATION -W "$DOMAIN" -k yes $@ || failed=`expr $failed + 1`
-testit "add user with kerberos ccache" $VALGRIND bin/net user add nettestuser $CONFIGURATION -k yes $@ || failed=`expr $failed + 1`
+testit "add user with kerberos ccache" $VALGRIND $net user add nettestuser $CONFIGURATION -k yes $@ || failed=`expr $failed + 1`
USERPASS=testPass@12%
-testit "set user password with kerberos ccache" $VALGRIND bin/net password set $DOMAIN\\nettestuser $USERPASS $CONFIGURATION -k yes $@ || failed=`expr $failed + 1`
+testit "set user password with kerberos ccache" $VALGRIND $net password set $DOMAIN\\nettestuser $USERPASS $CONFIGURATION -k yes $@ || failed=`expr $failed + 1`
#KRB5CCNAME=`pwd`/tmpuserccache
#export KRB5CCNAME
@@ -76,7 +81,7 @@ testit "set user password with kerberos ccache" $VALGRIND bin/net password set $
#KRB5CCNAME=`pwd`/tmpccache
#export KRB5CCNAME
-testit "del user with kerberos ccache" $VALGRIND bin/net user delete nettestuser $CONFIGURATION -k yes $@ || failed=`expr $failed + 1`
+testit "del user with kerberos ccache" $VALGRIND $net user delete nettestuser $CONFIGURATION -k yes $@ || failed=`expr $failed + 1`
rm -f tmpccfile tmppassfile tmpuserccache
exit $failed